<h1>User Dashboard</h1>

<h2>Your Challenges</h2>
<% if @user_challenges.any? %>
  <% @user_challenges.each do |user_challenge| %>
    <div>
      <h3><%= user_challenge.challenge.name %></h3>
      <p>Progress: <%= user_challenge.points_earned %> points</p>
    </div>
  <% end %>
<% else %>
  <p>You are not currently participating in any challenges.</p>
<% end %>

<h2>Leaderboard Positions</h2>
<% if @leaderboard_positions.any? %>
  <% @leaderboard_positions.each do |position| %>
    <div>
      <h3><%= position.challenge.name %></h3>
      <p>Your Rank: <%= position.rank %></p>
    </div>
  <% end %>
<% else %>
  <p>You are not currently ranked in any leaderboards.</p>
<% end %>

<h2>Notifications</h2>
<% if @notifications.any? %>
  <% @notifications.each do |notification| %>
    <p><%= notification.message %></p>
  <% end %>
<% else %>
  <p>There are no new notifications.</p>
<% end %>

<%= link_to 'Back to Home Page', root_path, class: 'btn btn-primary' %>
<br>
<%= link_to 'View Profile', profile_path, class: 'btn btn-secondary' %>